Bug 473670 - Allow vgcreate / vgextend to take uninitialized devices on the commandline (pvcreate unnecessary)
Allow vgcreate / vgextend to take uninitialized devices on the commandline (p...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Wysochanski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 16:19 EST by Dave Wysochanski
Modified: 2010-04-27 08:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 08:57:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2008-11-29 16:19:25 EST
Description of problem:
As a convenience to users, it would be nice for vgcreate and vgextend to allow non-initialized devices.  (This has been talked about many times before but I could not find a bz.)

If these tools detect a non-initialized device on the commandline, they can prompt the user instead of just failing as they do now.

Initially we can just allow default pvcreate settings in this case.  In the future we may consider putting pvcreate options into vgcreate and vgextend but I view this as a future optimization, unnecessary to achieve 80/20 rule functionality.
Comment 1 Dave Wysochanski 2008-11-29 16:20:23 EST
Code posted to lvm-devel that achieves the above baseline functionality.
Comment 2 Bug Zapper 2009-06-09 06:01:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dave Wysochanski 2009-10-25 22:53:11 EDT
This code is now upstream and in F12.
Comment 4 Bug Zapper 2010-04-27 08:25:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Alasdair Kergon 2010-04-27 08:57:12 EDT
If it's upstream, then you can close this!

Note You need to log in before you can comment on or make changes to this bug.